Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class RenderPlayer

    java.lang.Object
      net.minecraft.src.Render
          net.minecraft.src.RenderLiving
              net.minecraft.src.RenderPlayer

    public class RenderPlayer

extends RenderLiving

Field Summary
`static String[]` | `armorFilenamePrefix`

Constructor Summary
`RenderPlayer()`

Method Summary
`void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
`void` | `doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
`void` | `func_82441_a(EntityPlayer par1EntityPlayer)`
`void` | `renderPlayer(EntityPlayer par1EntityPlayer, double par2, double par4, double par6, float par8, float par9)`

Methods inherited from class net.minecraft.src.RenderLiving
`setRenderPassModel`

Methods inherited from class net.minecraft.src.Render
`doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### armorFilenamePrefix

    public static String[] armorFilenamePrefix

Constructor Detail

### RenderPlayer

    public RenderPlayer()

Method Detail

### renderPlayer

    public void renderPlayer(EntityPlayer par1EntityPlayer,
                             double par2,
                             double par4,
                             double par6,
                             float par8,
                             float par9)

### func_82441_a

    public void func_82441_a(EntityPlayer par1EntityPlayer)

### doRenderLiving

    public void doRenderLiving(EntityLiving par1EntityLiving,
                               double par2,
                               double par4,
                               double par6,
                               float par8,
                               float par9)

  Overrides:
    `doRenderLiving` in class `RenderLiving`

### doRender

    public void doRender(Entity par1Entity,
                         double par2,
                         double par4,
                         double par6,
                         float par8,
                         float par9)

  Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
  Overrides:
    `doRender` in class `RenderLiving`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD